{"openapi":"3.1.0","info":{"title":"Vylra API","description":"The API behind Vylra on the web and on mobile.\n\nSign in with `POST /v1/auth/login`, then send the access token as\n`Authorization: Bearer <token>`. Errors are `application/problem+json` with a stable\n`code` and a `request_id`. Lists are cursor-paginated (`items`, `next_cursor`).","version":"1"},"paths":{"/v1/auth/username-available":{"get":{"tags":["Sign-in"],"summary":"Username Available","operationId":"username_available_v1_auth_username_available_get","parameters":[{"name":"username","in":"query","required":true,"schema":{"type":"string","title":"Username"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"boolean"},"title":"Response Username Available V1 Auth Username Available Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/auth/signup":{"post":{"tags":["Sign-in"],"summary":"Sign Up","operationId":"sign_up_v1_auth_signup_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SignUpIn"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Sign Up V1 Auth Signup Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/auth/login":{"post":{"tags":["Sign-in"],"summary":"Login","operationId":"login_v1_auth_login_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginIn"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Login V1 Auth Login Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/auth/refresh":{"post":{"tags":["Sign-in"],"summary":"Refresh","operationId":"refresh_v1_auth_refresh_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RefreshIn"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Refresh V1 Auth Refresh Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/auth/logout":{"post":{"tags":["Sign-in"],"summary":"Logout","operationId":"logout_v1_auth_logout_post","responses":{"204":{"description":"Successful Response"}}}},"/v1/auth/password/forgot":{"post":{"tags":["Sign-in"],"summary":"Forgot Password","operationId":"forgot_password_v1_auth_password_forgot_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailIn"}}},"required":true},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":{"type":"string"},"type":"object","title":"Response Forgot Password V1 Auth Password Forgot Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/auth/password":{"post":{"tags":["Sign-in"],"summary":"Change Password","operationId":"change_password_v1_auth_password_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PasswordIn"}}},"required":true},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/auth/verify":{"post":{"tags":["Sign-in"],"summary":"Verify","operationId":"verify_v1_auth_verify_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifyIn"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Verify V1 Auth Verify Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/auth/jwks.json":{"get":{"tags":["Sign-in"],"summary":"Jwks","description":"Public keys that verify the backend's access tokens (native sign-in).","operationId":"jwks_v1_auth_jwks_json_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Jwks V1 Auth Jwks Json Get"}}}}}}},"/v1/auth/me":{"get":{"tags":["Sign-in"],"summary":"Me","operationId":"me_v1_auth_me_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Me V1 Auth Me Get"}}}}}}},"/v1/me/onboarding":{"put":{"tags":["Account"],"summary":"Onboarding","operationId":"onboarding_v1_me_onboarding_put","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnboardingIn"}}},"required":true},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/me/export":{"get":{"tags":["Account"],"summary":"Export","operationId":"export_v1_me_export_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Export V1 Me Export Get"}}}}}}},"/v1/me/deletion":{"get":{"tags":["Account"],"summary":"Deletion","operationId":"deletion_v1_me_deletion_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Deletion V1 Me Deletion Get"}}}}}},"post":{"tags":["Account"],"summary":"Request Deletion","operationId":"request_deletion_v1_me_deletion_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeletionIn"}}},"required":true},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Request Deletion V1 Me Deletion Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Account"],"summary":"Cancel Deletion","operationId":"cancel_deletion_v1_me_deletion_delete","responses":{"204":{"description":"Successful Response"}}}},"/v1/analytics/views":{"post":{"tags":["Analytics"],"summary":"Page View","operationId":"page_view_v1_analytics_views_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ViewIn"}}},"required":true},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/analytics/me":{"get":{"tags":["Analytics"],"summary":"My Analytics","description":"The signed-in creator's numbers for the last `days` days against the period before:\npost views and unique viewers, profile visits, likes, comments, saves, reposts,\ndownloads, followers gained, a daily series, top posts and audience.","operationId":"my_analytics_v1_analytics_me_get","parameters":[{"name":"days","in":"query","required":false,"schema":{"type":"integer","default":30,"title":"Days"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response My Analytics V1 Analytics Me Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/analytics/posts/{post_id}":{"get":{"tags":["Analytics"],"summary":"Post Analytics","description":"One post's numbers; its creator and staff only.","operationId":"post_analytics_v1_analytics_posts__post_id__get","parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Post Id"}},{"name":"days","in":"query","required":false,"schema":{"type":"integer","default":30,"title":"Days"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Post Analytics V1 Analytics Posts  Post Id  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/analytics/sessions":{"post":{"tags":["Analytics"],"summary":"Session Event","description":"For apps that still sign in with Supabase directly; backend sign-ins record this\nthemselves.","operationId":"session_event_v1_analytics_sessions_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SessionIn"}}},"required":true},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/links/{kind}/{value}":{"get":{"tags":["Links"],"summary":"Share Links","description":"Canonical + channel-tagged URLs for a share sheet or QR code.","operationId":"share_links_v1_links__kind___value__get","parameters":[{"name":"kind","in":"path","required":true,"schema":{"enum":["post","profile","gallery","series"],"type":"string","title":"Kind"}},{"name":"value","in":"path","required":true,"schema":{"type":"string","title":"Value"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"},"title":"Response Share Links V1 Links  Kind   Value  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/series/{series_id}":{"get":{"tags":["Series and galleries"],"summary":"Get Series","operationId":"get_series_v1_series__series_id__get","parameters":[{"name":"series_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Series Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Get Series V1 Series  Series Id  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"tags":["Series and galleries"],"summary":"Update Series","operationId":"update_series_v1_series__series_id__patch","parameters":[{"name":"series_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Series Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SeriesPatch"}}}},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Series and galleries"],"summary":"Delete Series","operationId":"delete_series_v1_series__series_id__delete","parameters":[{"name":"series_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Series Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/users/{username}/series":{"get":{"tags":["Series and galleries"],"summary":"List User Series","operationId":"list_user_series_v1_users__username__series_get","parameters":[{"name":"username","in":"path","required":true,"schema":{"type":"string","title":"Username"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","additionalProperties":true},"title":"Response List User Series V1 Users  Username  Series Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/me/series":{"get":{"tags":["Series and galleries"],"summary":"My Series","operationId":"my_series_v1_me_series_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"additionalProperties":true,"type":"object"},"type":"array","title":"Response My Series V1 Me Series Get"}}}}}}},"/v1/series":{"post":{"tags":["Series and galleries"],"summary":"Create Series","operationId":"create_series_v1_series_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SeriesIn"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":{"type":"string"},"type":"object","title":"Response Create Series V1 Series Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/series/{series_id}/order":{"put":{"tags":["Series and galleries"],"summary":"Order Series","operationId":"order_series_v1_series__series_id__order_put","parameters":[{"name":"series_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Series Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderIn"}}}},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/series/{series_id}/posts/{post_id}":{"delete":{"tags":["Series and galleries"],"summary":"Remove From Series","operationId":"remove_from_series_v1_series__series_id__posts__post_id__delete","parameters":[{"name":"series_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Series Id"}},{"name":"post_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Post Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/series/{series_id}/collaborators":{"post":{"tags":["Series and galleries"],"summary":"Invite Series","operationId":"invite_series_v1_series__series_id__collaborators_post","parameters":[{"name":"series_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Series Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CollaboratorIn"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Invite Series V1 Series  Series Id  Collaborators Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/series/{series_id}/collaborators/{member}":{"delete":{"tags":["Series and galleries"],"summary":"Remove Series Member","operationId":"remove_series_member_v1_series__series_id__collaborators__member__delete","parameters":[{"name":"series_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Series Id"}},{"name":"member","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Member"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/me/galleries":{"get":{"tags":["Series and galleries"],"summary":"My Galleries","operationId":"my_galleries_v1_me_galleries_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"additionalProperties":true,"type":"object"},"type":"array","title":"Response My Galleries V1 Me Galleries Get"}}}}}}},"/v1/galleries":{"post":{"tags":["Series and galleries"],"summary":"Create Gallery","operationId":"create_gallery_v1_galleries_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GalleryIn"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Create Gallery V1 Galleries Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/galleries/shared/{token}":{"get":{"tags":["Series and galleries"],"summary":"Shared Gallery","operationId":"shared_gallery_v1_galleries_shared__token__get","parameters":[{"name":"token","in":"path","required":true,"schema":{"type":"string","title":"Token"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Shared Gallery V1 Galleries Shared  Token  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/galleries/{gallery_id}":{"get":{"tags":["Series and galleries"],"summary":"Get Gallery","operationId":"get_gallery_v1_galleries__gallery_id__get","parameters":[{"name":"gallery_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Gallery Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Get Gallery V1 Galleries  Gallery Id  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"tags":["Series and galleries"],"summary":"Update Gallery","operationId":"update_gallery_v1_galleries__gallery_id__patch","parameters":[{"name":"gallery_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Gallery Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/vylra__modules__collections__router__GalleryPatch"}}}},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Series and galleries"],"summary":"Delete Gallery","operationId":"delete_gallery_v1_galleries__gallery_id__delete","parameters":[{"name":"gallery_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Gallery Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/galleries/{gallery_id}/posts":{"post":{"tags":["Series and galleries"],"summary":"Add To Gallery","operationId":"add_to_gallery_v1_galleries__gallery_id__posts_post","parameters":[{"name":"gallery_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Gallery Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostsIn"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"integer"},"title":"Response Add To Gallery V1 Galleries  Gallery Id  Posts Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/galleries/{gallery_id}/posts/{post_id}":{"delete":{"tags":["Series and galleries"],"summary":"Remove From Gallery","operationId":"remove_from_gallery_v1_galleries__gallery_id__posts__post_id__delete","parameters":[{"name":"gallery_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Gallery Id"}},{"name":"post_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Post Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/galleries/{gallery_id}/share-link":{"post":{"tags":["Series and galleries"],"summary":"New Share Link","operationId":"new_share_link_v1_galleries__gallery_id__share_link_post","parameters":[{"name":"gallery_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Gallery Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"},"title":"Response New Share Link V1 Galleries  Gallery Id  Share Link Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/galleries/{gallery_id}/collaborators":{"post":{"tags":["Series and galleries"],"summary":"Invite Gallery","operationId":"invite_gallery_v1_galleries__gallery_id__collaborators_post","parameters":[{"name":"gallery_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Gallery Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CollaboratorIn"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Invite Gallery V1 Galleries  Gallery Id  Collaborators Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/galleries/{gallery_id}/collaborators/{member}":{"delete":{"tags":["Series and galleries"],"summary":"Remove Gallery Member","operationId":"remove_gallery_member_v1_galleries__gallery_id__collaborators__member__delete","parameters":[{"name":"gallery_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Gallery Id"}},{"name":"member","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Member"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/users/{username}":{"get":{"tags":["Posts"],"summary":"Get Profile","operationId":"get_profile_v1_users__username__get","parameters":[{"name":"username","in":"path","required":true,"schema":{"type":"string","title":"Username"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Get Profile V1 Users  Username  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/me/profile":{"patch":{"tags":["Posts"],"summary":"Update Profile","operationId":"update_profile_v1_me_profile_patch","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileUpdate"}}},"required":true},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/users/{username}/posts":{"get":{"tags":["Posts"],"summary":"User Posts","operationId":"user_posts_v1_users__username__posts_get","parameters":[{"name":"username","in":"path","required":true,"schema":{"type":"string","title":"Username"}},{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cursor"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":50,"minimum":1},{"type":"null"}],"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_dict_str__Any__"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/users/{username}/{direction}":{"get":{"tags":["Posts"],"summary":"Follow List","operationId":"follow_list_v1_users__username___direction__get","parameters":[{"name":"username","in":"path","required":true,"schema":{"type":"string","title":"Username"}},{"name":"direction","in":"path","required":true,"schema":{"enum":["followers","following"],"type":"string","title":"Direction"}},{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cursor"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":100,"minimum":1},{"type":"null"}],"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_dict_str__Any__"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/users/{user_id}/follow":{"put":{"tags":["Posts"],"summary":"Follow","operationId":"follow_v1_users__user_id__follow_put","parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"User Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"boolean"},"title":"Response Follow V1 Users  User Id  Follow Put"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Posts"],"summary":"Unfollow","operationId":"unfollow_v1_users__user_id__follow_delete","parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"User Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"boolean"},"title":"Response Unfollow V1 Users  User Id  Follow Delete"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/users/{user_id}/block":{"put":{"tags":["Posts"],"summary":"Block","operationId":"block_v1_users__user_id__block_put","parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"User Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Posts"],"summary":"Unblock","operationId":"unblock_v1_users__user_id__block_delete","parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"User Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/posts/{post_id}":{"get":{"tags":["Posts"],"summary":"Get Post","operationId":"get_post_v1_posts__post_id__get","parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Post Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Get Post V1 Posts  Post Id  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["Posts"],"summary":"Edit Post","operationId":"edit_post_v1_posts__post_id__put","parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Post Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Edit Post V1 Posts  Post Id  Put"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Posts"],"summary":"Delete Post","operationId":"delete_post_v1_posts__post_id__delete","parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Post Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/posts/{post_id}/save":{"put":{"tags":["Posts"],"summary":"Save","operationId":"save_v1_posts__post_id__save_put","parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Post Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Posts"],"summary":"Unsave","operationId":"unsave_v1_posts__post_id__save_delete","parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Post Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/me/saved":{"get":{"tags":["Posts"],"summary":"Saved","operationId":"saved_v1_me_saved_get","parameters":[{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cursor"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":50,"minimum":1},{"type":"null"}],"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_dict_str__Any__"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/posts":{"post":{"tags":["Posts"],"summary":"Publish Post","operationId":"publish_post_v1_posts_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostIn"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Publish Post V1 Posts Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/posts/batch":{"post":{"tags":["Posts"],"summary":"Publish Batch","operationId":"publish_batch_v1_posts_batch_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostBatch"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Publish Batch V1 Posts Batch Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/posts/{post_id}/download":{"post":{"tags":["Posts"],"summary":"Download Post","operationId":"download_post_v1_posts__post_id__download_post","parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Post Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Download Post V1 Posts  Post Id  Download Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/config":{"get":{"tags":["Reports"],"summary":"App Config","description":"What the apps need before rendering menus: feature switches, payment methods,\nupload and story limits. Public and cached for a minute.","operationId":"app_config_v1_config_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response App Config V1 Config Get"}}}}}}},"/v1/categories":{"get":{"tags":["Reports"],"summary":"List Categories","operationId":"list_categories_v1_categories_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"additionalProperties":true,"type":"object"},"type":"array","title":"Response List Categories V1 Categories Get"}}}}}}},"/v1/tags":{"get":{"tags":["Reports"],"summary":"List Tags","operationId":"list_tags_v1_tags_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"additionalProperties":true,"type":"object"},"type":"array","title":"Response List Tags V1 Tags Get"}}}}}}},"/v1/reports":{"post":{"tags":["Reports"],"summary":"File Report","operationId":"file_report_v1_reports_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportIn"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":{"type":"string"},"type":"object","title":"Response File Report V1 Reports Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/business/me":{"get":{"tags":["Business"],"summary":"My Business","operationId":"my_business_v1_business_me_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response My Business V1 Business Me Get"}}}}}},"put":{"tags":["Business"],"summary":"Save Business","operationId":"save_business_v1_business_me_put","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileIn"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Save Business V1 Business Me Put"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/business/me/dashboard":{"get":{"tags":["Business"],"summary":"Business Dashboard","operationId":"business_dashboard_v1_business_me_dashboard_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Business Dashboard V1 Business Me Dashboard Get"}}}}}}},"/v1/business/me/documents":{"post":{"tags":["Business"],"summary":"Add Document","operationId":"add_document_v1_business_me_documents_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentIn"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Add Document V1 Business Me Documents Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/business/me/documents/{doc_id}":{"delete":{"tags":["Business"],"summary":"Delete Document","operationId":"delete_document_v1_business_me_documents__doc_id__delete","parameters":[{"name":"doc_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Doc Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/business/me/kyc":{"post":{"tags":["Business"],"summary":"Submit Kyc","operationId":"submit_kyc_v1_business_me_kyc_post","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Submit Kyc V1 Business Me Kyc Post"}}}}}}},"/v1/businesses/{user_id}":{"get":{"tags":["Business"],"summary":"Public Business","operationId":"public_business_v1_businesses__user_id__get","parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"User Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Public Business V1 Businesses  User Id  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/uploads":{"post":{"tags":["Uploads"],"summary":"Start Upload","operationId":"start_upload_v1_uploads_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadStart"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Start Upload V1 Uploads Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/uploads/batch":{"post":{"tags":["Uploads"],"summary":"Start Batch","operationId":"start_batch_v1_uploads_batch_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadBatch"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"additionalProperties":true,"type":"object"},"type":"array","title":"Response Start Batch V1 Uploads Batch Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/uploads/import":{"post":{"tags":["Uploads"],"summary":"Import Upload","operationId":"import_upload_v1_uploads_import_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadImport"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Import Upload V1 Uploads Import Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/uploads/{upload_id}/fail":{"post":{"tags":["Uploads"],"summary":"Upload Failed","operationId":"upload_failed_v1_uploads__upload_id__fail_post","parameters":[{"name":"upload_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Upload Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadFailed"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Upload Failed V1 Uploads  Upload Id  Fail Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/uploads/{upload_id}/confirm":{"post":{"tags":["Uploads"],"summary":"Confirm Upload","operationId":"confirm_upload_v1_uploads__upload_id__confirm_post","parameters":[{"name":"upload_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Upload Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadConfirm"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Confirm Upload V1 Uploads  Upload Id  Confirm Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/integrations":{"get":{"tags":["Imports"],"summary":"List Connections","operationId":"list_connections_v1_integrations_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"additionalProperties":true,"type":"object"},"type":"array","title":"Response List Connections V1 Integrations Get"}}}}}}},"/v1/integrations/{provider}/authorize":{"post":{"tags":["Imports"],"summary":"Authorize","operationId":"authorize_v1_integrations__provider__authorize_post","parameters":[{"name":"provider","in":"path","required":true,"schema":{"enum":["canva","figma"],"type":"string","title":"Provider"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthorizeIn"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Authorize V1 Integrations  Provider  Authorize Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/integrations/{provider}/callback":{"post":{"tags":["Imports"],"summary":"Oauth Callback","operationId":"oauth_callback_v1_integrations__provider__callback_post","parameters":[{"name":"provider","in":"path","required":true,"schema":{"enum":["canva","figma"],"type":"string","title":"Provider"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CallbackIn"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Oauth Callback V1 Integrations  Provider  Callback Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/integrations/{provider}":{"delete":{"tags":["Imports"],"summary":"Disconnect","operationId":"disconnect_v1_integrations__provider__delete","parameters":[{"name":"provider","in":"path","required":true,"schema":{"enum":["canva","figma"],"type":"string","title":"Provider"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/integrations/canva/designs":{"get":{"tags":["Imports"],"summary":"Canva Designs","operationId":"canva_designs_v1_integrations_canva_designs_get","parameters":[{"name":"query","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Query"}},{"name":"continuation","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Continuation"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Canva Designs V1 Integrations Canva Designs Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/integrations/canva/exports":{"post":{"tags":["Imports"],"summary":"Canva Export","operationId":"canva_export_v1_integrations_canva_exports_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CanvaExportIn"}}},"required":true},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Canva Export V1 Integrations Canva Exports Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/integrations/canva/exports/{job_id}":{"get":{"tags":["Imports"],"summary":"Canva Export Status","operationId":"canva_export_status_v1_integrations_canva_exports__job_id__get","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","title":"Job Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Canva Export Status V1 Integrations Canva Exports  Job Id  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/integrations/figma/files/{file_ref}":{"get":{"tags":["Imports"],"summary":"Figma File","operationId":"figma_file_v1_integrations_figma_files__file_ref__get","parameters":[{"name":"file_ref","in":"path","required":true,"schema":{"type":"string","title":"File Ref"}},{"name":"thumbnails","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Thumbnails"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Figma File V1 Integrations Figma Files  File Ref  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/integrations/figma/exports":{"post":{"tags":["Imports"],"summary":"Figma Export","operationId":"figma_export_v1_integrations_figma_exports_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FigmaExportIn"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Figma Export V1 Integrations Figma Exports Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/integrations/figma/saved-files":{"get":{"tags":["Imports"],"summary":"Figma Saved","operationId":"figma_saved_v1_integrations_figma_saved_files_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"additionalProperties":true,"type":"object"},"type":"array","title":"Response Figma Saved V1 Integrations Figma Saved Files Get"}}}}}},"post":{"tags":["Imports"],"summary":"Figma Save","operationId":"figma_save_v1_integrations_figma_saved_files_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SavedFileIn"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"additionalProperties":true,"type":"object"},"type":"array","title":"Response Figma Save V1 Integrations Figma Saved Files Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/integrations/figma/saved-files/{file_key}":{"delete":{"tags":["Imports"],"summary":"Figma Forget","operationId":"figma_forget_v1_integrations_figma_saved_files__file_key__delete","parameters":[{"name":"file_key","in":"path","required":true,"schema":{"type":"string","title":"File Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","additionalProperties":true},"title":"Response Figma Forget V1 Integrations Figma Saved Files  File Key  Delete"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/feed/home":{"get":{"tags":["Feed"],"summary":"Home","operationId":"home_v1_feed_home_get","parameters":[{"name":"sort","in":"query","required":false,"schema":{"enum":["for_you","recent","popular","trending"],"type":"string","default":"for_you","title":"Sort"}},{"name":"media","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"enum":["image","video","audio","pdf","code","link"],"type":"string"},"maxItems":6},{"type":"null"}],"title":"Media"}},{"name":"category","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string","format":"uuid"},"maxItems":20},{"type":"null"}],"title":"Category"}},{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cursor"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":50,"minimum":1},{"type":"null"}],"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_dict_str__Any__"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/feed/explore":{"get":{"tags":["Feed"],"summary":"Explore","operationId":"explore_v1_feed_explore_get","parameters":[{"name":"sort","in":"query","required":false,"schema":{"enum":["for_you","recent","popular","trending"],"type":"string","default":"for_you","title":"Sort"}},{"name":"media","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"enum":["image","video","audio","pdf","code","link"],"type":"string"},"maxItems":6},{"type":"null"}],"title":"Media"}},{"name":"category","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string","format":"uuid"},"maxItems":20},{"type":"null"}],"title":"Category"}},{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cursor"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":50,"minimum":1},{"type":"null"}],"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_dict_str__Any__"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/feed/videos":{"get":{"tags":["Feed"],"summary":"Reels: video feed","operationId":"video_feed_v1_feed_videos_get","parameters":[{"name":"sort","in":"query","required":false,"schema":{"enum":["for_you","recent","popular"],"type":"string","default":"for_you","title":"Sort"}},{"name":"category","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string","format":"uuid"},"maxItems":20},{"type":"null"}],"title":"Category"}},{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cursor"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":50,"minimum":1},{"type":"null"}],"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_dict_str__Any__"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/feed/images":{"get":{"tags":["Feed"],"summary":"Image feed","operationId":"image_feed_v1_feed_images_get","parameters":[{"name":"sort","in":"query","required":false,"schema":{"enum":["for_you","recent","popular"],"type":"string","default":"for_you","title":"Sort"}},{"name":"category","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string","format":"uuid"},"maxItems":20},{"type":"null"}],"title":"Category"}},{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cursor"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":50,"minimum":1},{"type":"null"}],"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_dict_str__Any__"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/feed/audio":{"get":{"tags":["Feed"],"summary":"Audio feed","operationId":"audio_feed_v1_feed_audio_get","parameters":[{"name":"sort","in":"query","required":false,"schema":{"enum":["for_you","recent","popular"],"type":"string","default":"for_you","title":"Sort"}},{"name":"category","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string","format":"uuid"},"maxItems":20},{"type":"null"}],"title":"Category"}},{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cursor"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":50,"minimum":1},{"type":"null"}],"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_dict_str__Any__"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/posts/{post_id}/related":{"get":{"tags":["Feed"],"summary":"Related","operationId":"related_v1_posts__post_id__related_get","parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Post Id"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":50,"minimum":1},{"type":"null"}],"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_dict_str__Any__"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/suggestions/users":{"get":{"tags":["Feed"],"summary":"Suggested Users","operationId":"suggested_users_v1_suggestions_users_get","parameters":[{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":50,"minimum":1},{"type":"null"}],"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Suggested Users V1 Suggestions Users Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/suggestions/galleries":{"get":{"tags":["Feed"],"summary":"Suggested Galleries","operationId":"suggested_galleries_v1_suggestions_galleries_get","parameters":[{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":50,"minimum":1},{"type":"null"}],"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Suggested Galleries V1 Suggestions Galleries Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/ads/{campaign_id}/click":{"post":{"tags":["Feed"],"summary":"Ad Click","operationId":"ad_click_v1_ads__campaign_id__click_post","parameters":[{"name":"campaign_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Campaign Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Ad Click V1 Ads  Campaign Id  Click Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/campaigns":{"post":{"tags":["Campaigns"],"summary":"Launch","operationId":"launch_v1_campaigns_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/vylra__modules__campaigns__schemas__CampaignIn"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/campaigns/mine":{"get":{"tags":["Campaigns"],"summary":"Mine","operationId":"mine_v1_campaigns_mine_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"additionalProperties":true,"type":"object"},"type":"array","title":"Response Mine V1 Campaigns Mine Get"}}}}}}},"/v1/campaigns/{campaign_id}":{"get":{"tags":["Campaigns"],"summary":"Detail","operationId":"detail_v1_campaigns__campaign_id__get","parameters":[{"name":"campaign_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Campaign Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Detail V1 Campaigns  Campaign Id  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/campaigns/{campaign_id}/status":{"patch":{"tags":["Campaigns"],"summary":"Set Status","operationId":"set_status_v1_campaigns__campaign_id__status_patch","parameters":[{"name":"campaign_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Campaign Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/vylra__modules__campaigns__schemas__StatusIn"}}}},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/campaigns/{campaign_id}/engagements":{"get":{"tags":["Campaigns"],"summary":"Campaign Engagements","operationId":"campaign_engagements_v1_campaigns__campaign_id__engagements_get","parameters":[{"name":"campaign_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Campaign Id"}},{"name":"before","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Before"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":200,"minimum":1,"default":50,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Campaign Engagements V1 Campaigns  Campaign Id  Engagements Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/email/unsubscribe":{"post":{"tags":["Email"],"summary":"Unsubscribe","operationId":"unsubscribe_v1_email_unsubscribe_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsubscribeIn"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":{"type":"boolean"},"type":"object","title":"Response Unsubscribe V1 Email Unsubscribe Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/email/preferences":{"get":{"tags":["Email"],"summary":"Preferences","operationId":"preferences_v1_email_preferences_get","parameters":[{"name":"token","in":"query","required":true,"schema":{"type":"string","title":"Token"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Preferences V1 Email Preferences Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["Email"],"summary":"Set Preferences","operationId":"set_preferences_v1_email_preferences_put","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PreferencesIn"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Set Preferences V1 Email Preferences Put"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/ai/describe":{"post":{"tags":["AI"],"summary":"Describe Post","operationId":"describe_post_v1_ai_describe_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeIn"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Describe Post V1 Ai Describe Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/posts/{post_id}/ai-checks":{"post":{"tags":["AI"],"summary":"Attach Checks","operationId":"attach_checks_v1_posts__post_id__ai_checks_post","parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Post Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttachIn"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"integer"},"title":"Response Attach Checks V1 Posts  Post Id  Ai Checks Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/notifications":{"get":{"tags":["Notifications"],"summary":"List Notifications","operationId":"list_notifications_v1_notifications_get","parameters":[{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cursor"}},{"name":"unread","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Unread"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":100,"minimum":1},{"type":"null"}],"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_dict_str__Any__"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/notifications/unread-count":{"get":{"tags":["Notifications"],"summary":"Unread Count","operationId":"unread_count_v1_notifications_unread_count_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":{"type":"integer"},"type":"object","title":"Response Unread Count V1 Notifications Unread Count Get"}}}}}}},"/v1/notifications/read":{"post":{"tags":["Notifications"],"summary":"Mark Read","operationId":"mark_read_v1_notifications_read_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/vylra__modules__notify__router__ReadIn"}}},"required":true},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/notifications/preferences":{"get":{"tags":["Notifications"],"summary":"Get Preferences","operationId":"get_preferences_v1_notifications_preferences_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":{"type":"boolean"},"type":"object","title":"Response Get Preferences V1 Notifications Preferences Get"}}}}}},"patch":{"tags":["Notifications"],"summary":"Set Preferences","operationId":"set_preferences_v1_notifications_preferences_patch","requestBody":{"content":{"application/json":{"schema":{"additionalProperties":{"type":"boolean"},"type":"object","title":"Body"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":{"type":"boolean"},"type":"object","title":"Response Set Preferences V1 Notifications Preferences Patch"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/push/devices":{"put":{"tags":["Notifications"],"summary":"Register Device","operationId":"register_device_v1_push_devices_put","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeviceIn"}}},"required":true},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Notifications"],"summary":"Forget Device","operationId":"forget_device_v1_push_devices_delete","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeviceOut"}}},"required":true},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/broadcasts":{"post":{"tags":["Notifications"],"summary":"Broadcast","operationId":"broadcast_v1_broadcasts_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BroadcastIn"}}},"required":true},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":{"type":"string"},"type":"object","title":"Response Broadcast V1 Broadcasts Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/messages/direct":{"post":{"tags":["Messages"],"summary":"Open Direct","operationId":"open_direct_v1_messages_direct_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DirectIn"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":{"type":"string"},"type":"object","title":"Response Open Direct V1 Messages Direct Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/messages/groups":{"post":{"tags":["Messages"],"summary":"Create Group","operationId":"create_group_v1_messages_groups_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/vylra__modules__messaging__schemas__GroupIn"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":{"type":"string"},"type":"object","title":"Response Create Group V1 Messages Groups Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/messages/conversations":{"get":{"tags":["Messages"],"summary":"Inbox","operationId":"inbox_v1_messages_conversations_get","parameters":[{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cursor"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":100,"minimum":1},{"type":"null"}],"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_dict_str__Any__"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/messages/unread":{"get":{"tags":["Messages"],"summary":"Unread","operationId":"unread_v1_messages_unread_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":{"type":"integer"},"type":"object","title":"Response Unread V1 Messages Unread Get"}}}}}}},"/v1/messages/conversations/{conversation_id}/messages":{"get":{"tags":["Messages"],"summary":"History","operationId":"history_v1_messages_conversations__conversation_id__messages_get","parameters":[{"name":"conversation_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Conversation Id"}},{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cursor"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":100,"minimum":1},{"type":"null"}],"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_dict_str__Any__"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Messages"],"summary":"Send","operationId":"send_v1_messages_conversations__conversation_id__messages_post","parameters":[{"name":"conversation_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Conversation Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageIn"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Send V1 Messages Conversations  Conversation Id  Messages Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/messages/conversations/{conversation_id}/read":{"post":{"tags":["Messages"],"summary":"Mark Read","operationId":"mark_read_v1_messages_conversations__conversation_id__read_post","parameters":[{"name":"conversation_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Conversation Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/vylra__modules__messaging__schemas__ReadIn"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"integer"},"title":"Response Mark Read V1 Messages Conversations  Conversation Id  Read Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/messages/{message_id}":{"patch":{"tags":["Messages"],"summary":"Edit","operationId":"edit_v1_messages__message_id__patch","parameters":[{"name":"message_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Message Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EditIn"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Edit V1 Messages  Message Id  Patch"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Messages"],"summary":"Delete","operationId":"delete_v1_messages__message_id__delete","parameters":[{"name":"message_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Message Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/reactions/palette":{"get":{"tags":["Comments and reactions"],"summary":"Palette","operationId":"palette_v1_reactions_palette_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Palette V1 Reactions Palette Get"}}}}}}},"/v1/reactions/{target_type}/{target_id}":{"get":{"tags":["Comments and reactions"],"summary":"Get Reactions","operationId":"get_reactions_v1_reactions__target_type___target_id__get","parameters":[{"name":"target_type","in":"path","required":true,"schema":{"enum":["post","comment","message","story","gallery","repost"],"type":"string","title":"Target Type"}},{"name":"target_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Target Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Get Reactions V1 Reactions  Target Type   Target Id  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["Comments and reactions"],"summary":"Set Reaction","operationId":"set_reaction_v1_reactions__target_type___target_id__put","parameters":[{"name":"target_type","in":"path","required":true,"schema":{"enum":["post","comment","message","story","gallery","repost"],"type":"string","title":"Target Type"}},{"name":"target_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Target Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReactionIn"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Set Reaction V1 Reactions  Target Type   Target Id  Put"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Comments and reactions"],"summary":"Clear Reaction","operationId":"clear_reaction_v1_reactions__target_type___target_id__delete","parameters":[{"name":"target_type","in":"path","required":true,"schema":{"enum":["post","comment","message","story","gallery","repost"],"type":"string","title":"Target Type"}},{"name":"target_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Target Id"}},{"name":"code","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Code"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Clear Reaction V1 Reactions  Target Type   Target Id  Delete"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/posts/{post_id}/comments":{"get":{"tags":["Comments and reactions"],"summary":"List Comments","operationId":"list_comments_v1_posts__post_id__comments_get","parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Post Id"}},{"name":"sort","in":"query","required":false,"schema":{"enum":["top","new"],"type":"string","default":"top","title":"Sort"}},{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cursor"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":50,"minimum":1},{"type":"null"}],"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_dict_str__Any__"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Comments and reactions"],"summary":"Create Comment","operationId":"create_comment_v1_posts__post_id__comments_post","parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Post Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommentIn"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Create Comment V1 Posts  Post Id  Comments Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/comments/{root_id}/replies":{"get":{"tags":["Comments and reactions"],"summary":"List Replies","operationId":"list_replies_v1_comments__root_id__replies_get","parameters":[{"name":"root_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Root Id"}},{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cursor"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":50,"minimum":1},{"type":"null"}],"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_dict_str__Any__"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/comments/{comment_id}":{"patch":{"tags":["Comments and reactions"],"summary":"Edit Comment","operationId":"edit_comment_v1_comments__comment_id__patch","parameters":[{"name":"comment_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Comment Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommentEditIn"}}}},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Comments and reactions"],"summary":"Delete Comment","operationId":"delete_comment_v1_comments__comment_id__delete","parameters":[{"name":"comment_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Comment Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/comments/{comment_id}/pin":{"put":{"tags":["Comments and reactions"],"summary":"Pin Comment","operationId":"pin_comment_v1_comments__comment_id__pin_put","parameters":[{"name":"comment_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Comment Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/vylra__modules__social__schemas__FlagIn"}}}},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/comments/{comment_id}/hidden":{"put":{"tags":["Comments and reactions"],"summary":"Hide Comment","operationId":"hide_comment_v1_comments__comment_id__hidden_put","parameters":[{"name":"comment_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Comment Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/vylra__modules__social__schemas__FlagIn"}}}},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/stories":{"get":{"tags":["Stories"],"summary":"Story Rail","operationId":"story_rail_v1_stories_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"additionalProperties":true,"type":"object"},"type":"array","title":"Response Story Rail V1 Stories Get"}}}}}},"post":{"tags":["Stories"],"summary":"Post Story","operationId":"post_story_v1_stories_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StoryIn"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"type":"object","title":"Response Post Story V1 Stories Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/stories/{story_id}/view":{"post":{"tags":["Stories"],"summary":"View Story","operationId":"view_story_v1_stories__story_id__view_post","parameters":[{"name":"story_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Story Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/stories/{story_id}/viewers":{"get":{"tags":["Stories"],"summary":"Story Viewers","operationId":"story_viewers_v1_stories__story_id__viewers_get","parameters":[{"name":"story_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Story Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","additionalProperties":true},"title":"Response Story Viewers V1 Stories  Story Id  Viewers Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/stories/{story_id}/reshare":{"post":{"tags":["Stories"],"summary":"Reshare Story","operationId":"reshare_story_v1_stories__story_id__reshare_post","parameters":[{"name":"story_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Story Id"}}],"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"},"title":"Response Reshare Story V1 Stories  Story Id  Reshare Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/stories/{story_id}":{"delete":{"tags":["Stories"],"summary":"Delete Story","operationId":"delete_story_v1_stories__story_id__delete","parameters":[{"name":"story_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Story Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/search":{"get":{"tags":["Search"],"summary":"Search","operationId":"search_v1_search_get","parameters":[{"name":"q","in":"query","required":true,"schema":{"type":"string","minLength":1,"maxLength":100,"title":"Q"}},{"name":"type","in":"query","required":false,"schema":{"enum":["all","posts","people","galleries","series"],"type":"string","default":"all","title":"Type"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":50,"minimum":1,"default":20,"title":"Limit"}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","maximum":500,"minimum":0,"default":0,"title":"Offset"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Search V1 Search Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/posts/{post_id}/requests":{"post":{"tags":["Requests and reposts"],"summary":"Request Post","operationId":"request_post_v1_posts__post_id__requests_post","parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Post Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestIn"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"},"title":"Response Request Post V1 Posts  Post Id  Requests Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/requests":{"get":{"tags":["Requests and reposts"],"summary":"My Requests","operationId":"my_requests_v1_requests_get","parameters":[{"name":"box","in":"query","required":false,"schema":{"enum":["incoming","outgoing"],"type":"string","default":"incoming","title":"Box"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","additionalProperties":true},"title":"Response My Requests V1 Requests Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/requests/{request_id}":{"patch":{"tags":["Requests and reposts"],"summary":"Answer Request","operationId":"answer_request_v1_requests__request_id__patch","parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Request Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnswerIn"}}}},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/posts/{post_id}/repost":{"put":{"tags":["Requests and reposts"],"summary":"Repost","operationId":"repost_v1_posts__post_id__repost_put","parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Post Id"}}],"requestBody":{"content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/RepostIn"},{"type":"null"}],"title":"Body"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"boolean"},"title":"Response Repost V1 Posts  Post Id  Repost Put"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Requests and reposts"],"summary":"Unrepost","operationId":"unrepost_v1_posts__post_id__repost_delete","parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Post Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/posts/{post_id}/reposts":{"get":{"tags":["Requests and reposts"],"summary":"Reposted By","operationId":"reposted_by_v1_posts__post_id__reposts_get","parameters":[{"name":"post_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Post Id"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":200,"minimum":1,"default":50,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","additionalProperties":true},"title":"Response Reposted By V1 Posts  Post Id  Reposts Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/wallet/payment-methods":{"get":{"tags":["Wallet"],"summary":"Payment Methods","description":"Which ways to pay and get paid are on right now (admins can switch each off).","operationId":"payment_methods_v1_wallet_payment_methods_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"additionalProperties":true,"type":"object"},"type":"array","title":"Response Payment Methods V1 Wallet Payment Methods Get"}}}}}}},"/v1/wallet":{"get":{"tags":["Wallet"],"summary":"Wallet","operationId":"wallet_v1_wallet_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Wallet V1 Wallet Get"}}}}}}},"/v1/wallet/history":{"get":{"tags":["Wallet"],"summary":"History","operationId":"history_v1_wallet_history_get","parameters":[{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cursor"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":100,"minimum":1},{"type":"null"}],"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_dict_str__Any__"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/wallet/quote":{"get":{"tags":["Wallet"],"summary":"Quote","operationId":"quote_v1_wallet_quote_get","parameters":[{"name":"currency","in":"query","required":true,"schema":{"type":"string","title":"Currency"}},{"name":"amount","in":"query","required":true,"schema":{"anyOf":[{"type":"number"},{"type":"string","pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$"}],"title":"Amount"}},{"name":"provider","in":"query","required":false,"schema":{"enum":["stripe","fapshi"],"type":"string","default":"stripe","title":"Provider"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Quote V1 Wallet Quote Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/wallet/topups":{"post":{"tags":["Wallet"],"summary":"Create Topup","operationId":"create_topup_v1_wallet_topups_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TopupIn"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/wallet/topups/{intent_id}":{"get":{"tags":["Wallet"],"summary":"Topup Status","operationId":"topup_status_v1_wallet_topups__intent_id__get","parameters":[{"name":"intent_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Intent Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Topup Status V1 Wallet Topups  Intent Id  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/wallet/gifts":{"post":{"tags":["Wallet"],"summary":"Send Gift","operationId":"send_gift_v1_wallet_gifts_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GiftIn"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/wallet/withdrawals":{"get":{"tags":["Wallet"],"summary":"My Withdrawals","operationId":"my_withdrawals_v1_wallet_withdrawals_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"additionalProperties":true,"type":"object"},"type":"array","title":"Response My Withdrawals V1 Wallet Withdrawals Get"}}}}}},"post":{"tags":["Wallet"],"summary":"Request Withdrawal","operationId":"request_withdrawal_v1_wallet_withdrawals_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithdrawalIn"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/wallet/withdrawals/{payout_id}/cancel":{"post":{"tags":["Wallet"],"summary":"Cancel Withdrawal","operationId":"cancel_withdrawal_v1_wallet_withdrawals__payout_id__cancel_post","parameters":[{"name":"payout_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Payout Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Cancel Withdrawal V1 Wallet Withdrawals  Payout Id  Cancel Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"AnswerIn":{"properties":{"status":{"type":"string","enum":["accepted","declined","withdrawn"],"title":"Status"}},"additionalProperties":false,"type":"object","required":["status"],"title":"AnswerIn"},"AttachIn":{"properties":{"analysis_id":{"type":"string","format":"uuid","title":"Analysis Id"}},"additionalProperties":false,"type":"object","required":["analysis_id"],"title":"AttachIn"},"AuthorizeIn":{"properties":{"redirect_uri":{"type":"string","maxLength":500,"title":"Redirect Uri"}},"additionalProperties":false,"type":"object","required":["redirect_uri"],"title":"AuthorizeIn"},"BroadcastIn":{"properties":{"kind":{"type":"string","enum":["new_post","promotion","product","message"],"title":"Kind"},"post_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Post Id"},"title":{"anyOf":[{"type":"string","maxLength":80},{"type":"null"}],"title":"Title"},"message":{"anyOf":[{"type":"string","maxLength":300},{"type":"null"}],"title":"Message"}},"additionalProperties":false,"type":"object","required":["kind"],"title":"BroadcastIn"},"CallbackIn":{"properties":{"code":{"type":"string","maxLength":2048,"minLength":1,"title":"Code"},"state":{"type":"string","maxLength":200,"minLength":16,"title":"State"}},"additionalProperties":false,"type":"object","required":["code","state"],"title":"CallbackIn"},"CanvaExportIn":{"properties":{"design_id":{"type":"string","maxLength":64,"minLength":1,"pattern":"^[A-Za-z0-9_-]+$","title":"Design Id"},"format":{"type":"string","enum":["png","jpg","pdf","mp4","gif"],"title":"Format","default":"png"},"pages":{"anyOf":[{"items":{"type":"integer"},"type":"array","maxItems":20},{"type":"null"}],"title":"Pages"},"title":{"anyOf":[{"type":"string","maxLength":120},{"type":"null"}],"title":"Title"}},"additionalProperties":false,"type":"object","required":["design_id"],"title":"CanvaExportIn"},"CollaboratorIn":{"properties":{"username":{"type":"string","maxLength":40,"minLength":1,"title":"Username"}},"additionalProperties":false,"type":"object","required":["username"],"title":"CollaboratorIn"},"CommentEditIn":{"properties":{"body":{"type":"string","maxLength":2000,"minLength":1,"title":"Body"}},"type":"object","required":["body"],"title":"CommentEditIn"},"CommentIn":{"properties":{"body":{"type":"string","maxLength":2000,"minLength":1,"title":"Body"},"parent_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Parent Id"}},"type":"object","required":["body"],"title":"CommentIn"},"Cta":{"properties":{"type":{"type":"string","enum":["buy_now","book_now","learn_more","visit","whatsapp","telegram"],"title":"Type","default":"visit"},"label":{"type":"string","maxLength":30,"minLength":1,"title":"Label"},"url":{"type":"string","maxLength":2048,"title":"Url"}},"additionalProperties":false,"type":"object","required":["label","url"],"title":"Cta"},"DeletionIn":{"properties":{"confirm":{"type":"string","const":"delete","title":"Confirm"},"reason":{"anyOf":[{"type":"string","maxLength":500},{"type":"null"}],"title":"Reason"},"give_up_earnings":{"type":"boolean","title":"Give Up Earnings","default":false}},"additionalProperties":false,"type":"object","required":["confirm"],"title":"DeletionIn"},"DescribeIn":{"properties":{"file_type":{"type":"string","enum":["image","video","audio","pdf","code"],"title":"File Type"},"url":{"anyOf":[{"type":"string","maxLength":2048},{"type":"null"}],"title":"Url"},"pdf_base64":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Pdf Base64"},"code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Code"}},"additionalProperties":false,"type":"object","required":["file_type"],"title":"DescribeIn"},"DeviceIn":{"properties":{"token":{"type":"string","maxLength":4096,"minLength":20,"title":"Token"},"device_info":{"anyOf":[{"type":"string","maxLength":200},{"type":"null"}],"title":"Device Info"}},"additionalProperties":false,"type":"object","required":["token"],"title":"DeviceIn"},"DeviceOut":{"properties":{"token":{"type":"string","maxLength":4096,"minLength":20,"title":"Token"}},"additionalProperties":false,"type":"object","required":["token"],"title":"DeviceOut"},"DirectIn":{"properties":{"user_id":{"type":"string","format":"uuid","title":"User Id"}},"type":"object","required":["user_id"],"title":"DirectIn"},"DocumentIn":{"properties":{"document_type":{"type":"string","enum":["business_license","id_card_front","id_card_back","passport"],"title":"Document Type"},"upload_id":{"type":"string","format":"uuid","title":"Upload Id"}},"additionalProperties":false,"type":"object","required":["document_type","upload_id"],"title":"DocumentIn"},"DownloadSettings":{"properties":{"watermark_enabled":{"type":"boolean","title":"Watermark Enabled","default":false},"requires_payment":{"type":"boolean","title":"Requires Payment","default":false},"price":{"anyOf":[{"type":"number","maximum":1000000.0,"minimum":0.0},{"type":"null"}],"title":"Price"}},"additionalProperties":false,"type":"object","title":"DownloadSettings"},"EditIn":{"properties":{"body":{"type":"string","maxLength":4000,"minLength":1,"title":"Body"}},"type":"object","required":["body"],"title":"EditIn"},"EmailIn":{"properties":{"email":{"type":"string","format":"email","title":"Email"}},"type":"object","required":["email"],"title":"EmailIn"},"FigmaExportIn":{"properties":{"file_key":{"type":"string","maxLength":300,"minLength":10,"title":"File Key"},"node_ids":{"items":{"type":"string"},"type":"array","maxItems":10,"minItems":1,"title":"Node Ids"},"format":{"type":"string","enum":["png","jpg","svg","pdf"],"title":"Format","default":"png"},"scale":{"type":"number","maximum":4.0,"minimum":0.5,"title":"Scale","default":2.0},"names":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}],"title":"Names"}},"additionalProperties":false,"type":"object","required":["file_key","node_ids"],"title":"FigmaExportIn"},"GalleryIn":{"properties":{"name":{"type":"string","maxLength":80,"minLength":1,"title":"Name"},"description":{"anyOf":[{"type":"string","maxLength":1000},{"type":"null"}],"title":"Description"},"is_public":{"type":"boolean","title":"Is Public","default":false},"banner_upload_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Banner Upload Id"},"logo_upload_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Logo Upload Id"}},"additionalP
[...]
